RelayAPI

List campaigns with aggregate metrics

GET
/v1/ads/campaigns
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Query Parameters

platform?string
Value in"meta" | "google" | "tiktok" | "linkedin" | "pinterest" | "twitter"
status?string
Value in"draft" | "pending_review" | "active" | "paused" | "completed" | "rejected" | "cancelled"
ad_account_id?string
workspace_id?string

Filter by workspace ID

cursor?string
limit?integer
Default20
Range1 <= value <= 100

Response Body

application/json

curl -X GET "https://api.relayapi.dev/v1/ads/campaigns"
{
  "data": [
    {
      "id": "string",
      "ad_account_id": "string",
      "platform": "meta",
      "platform_campaign_id": "string",
      "name": "string",
      "objective": "string",
      "status": "draft",
      "daily_budget_cents": 0,
      "lifetime_budget_cents": 0,
      "currency": "string",
      "start_date": "2019-08-24T14:15:22Z",
      "end_date": "2019-08-24T14:15:22Z",
      "is_external": true,
      "ad_count": 0,
      "metrics": {
        "impressions": 0,
        "reach": 0,
        "clicks": 0,
        "spend_cents": 0,
        "conversions": 0,
        "ctr": 0,
        "cpc_cents": 0,
        "cpm_cents": 0
      },
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string",
  "has_more": true
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo